package com.massa.mrules.droolsfight.tests.java;

import com.massa.mrules.droolsfight.beans.MeasureBean;
import com.massa.mrules.droolsfight.beans.SampleData;

public class RuleFinalize implements IRule {

	@Override
	public void test(final MeasureBean data) {
		if (data.getErrors() != null) {
			int b = 0;
			final int size = data.getErrors().size();
			for (int i = 0 ; i < size ; i++) {
				if (data.getErrors().get(i).isBlocking()) {
					b++;
				}
			}
			data.setNbBlocking(b);
		}

		if (data.getNbBlocking() == 0 && data.getMeasure().getSampleData() != null) {
			int quality = 0;
			for (final SampleData sd: data.getMeasure().getSampleData().values()) {
				if (sd.getMeasuredPpm() > 0.02) {
					quality = 2;
					break;
				}
				if (quality == 0 && sd.getMeasuredPpm() > 0.01) {
					quality = 1;
				}
			}
			data.setAirQuality(quality == 0 ? "GOOD" : quality == 1 ? "MEDIUM" : "BAD");
		}
	}
}
